Catalog
archive_environment
Write grantDestructiveIdempotent
Archive an environment. Until it is restored it leaves environment lists, cannot change, its deployments cannot be added, changed or removed, and vault pulls for it are refused. Archiving an archived environment changes nothing. Returns the environment. Needs write access.
Inputs
environmentstringRequiredThe environment's slug, such as staging.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "archive_environment", "arguments": { "environment": "staging" } }}POST/agent/v1/environments:archive
curl -X POST https://api.qa.clankership.net/agent/v1/environments:archive \ -H "Authorization: Bearer $CLANKER_AGENT_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "environment": "staging" }'